path: /build/build/libuv-dev-libs-1.40.0+2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} dev-libs/libuv -pv -t && \
    emerge -j ${JOBS} --nodeps dev-libs/libuv && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/libuv && \
    luet-portage --dir /pkgdir/libuv dev-libs/libuv && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:f20dd1952399b4e9030599ce42b5587669786a583e87aca7648c8a4252ac3cee
  package:
    name: libuv
    version: 1.40.0+2
    category: dev-libs
    requires:
    - name: docbook-xsl-ns-stylesheets
      version: '>=0'
      category: app-text
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Cross-platform asychronous I/O
    uri:
    - https://github.com/libuv/libuv
    license: BSD BSD-2 ISC MIT
    buildtimestamp: 2025-12-08 11:38:56.989240062 +0000 UTC m=+484.141565353
    labels:
      BDEPEND: '>=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
        ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4'
      DEPEND: sys-devel/libtool virtual/pkgconfig[-mgorny(-)]
      IUSE: static-libs abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64
        abi_mips_o32 abi_s390_32 abi_s390_64
      emerge.packages: dev-libs/libuv
      kit: dev-kit
      original.package.name: dev-libs/libuv
      original.package.slot: "0"
      original.package.version: 1.40.0
    treedir: /build/packages
  package_dir: /pkgdir/libuv
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 7cb181beaadc06bd38bfaae332d6c46f64c6f069d03473b97a8635c30abbc4c0
compressiontype: zstd
files:
- usr/include/uv/errno.h
- usr/include/uv/linux.h
- usr/include/uv/threadpool.h
- usr/include/uv/unix.h
- usr/include/uv/version.h
- usr/include/uv.h
- usr/lib64/libuv.so
- usr/lib64/libuv.so.1
- usr/lib64/libuv.so.1.0.0
- usr/lib64/pkgconfig/libuv.pc
- usr/share/doc/libuv-1.40.0/AUTHORS.bz2
- usr/share/doc/libuv-1.40.0/ChangeLog.bz2
- usr/share/doc/libuv-1.40.0/README.md.bz2
- var/db/pkg/dev-libs/libuv-1.40.0/BDEPEND
- var/db/pkg/dev-libs/libuv-1.40.0/BUILD_TIME
- var/db/pkg/dev-libs/libuv-1.40.0/CATEGORY
- var/db/pkg/dev-libs/libuv-1.40.0/CBUILD
- var/db/pkg/dev-libs/libuv-1.40.0/CFLAGS
- var/db/pkg/dev-libs/libuv-1.40.0/CHOST
- var/db/pkg/dev-libs/libuv-1.40.0/CONTENTS
- var/db/pkg/dev-libs/libuv-1.40.0/COUNTER
- var/db/pkg/dev-libs/libuv-1.40.0/CTARGET
- var/db/pkg/dev-libs/libuv-1.40.0/CXX
- var/db/pkg/dev-libs/libuv-1.40.0/CXXFLAGS
- var/db/pkg/dev-libs/libuv-1.40.0/DEFINED_PHASES
- var/db/pkg/dev-libs/libuv-1.40.0/DEPEND
- var/db/pkg/dev-libs/libuv-1.40.0/DESCRIPTION
- var/db/pkg/dev-libs/libuv-1.40.0/EAPI
- var/db/pkg/dev-libs/libuv-1.40.0/FEATURES
- var/db/pkg/dev-libs/libuv-1.40.0/HOMEPAGE
- var/db/pkg/dev-libs/libuv-1.40.0/INHERITED
- var/db/pkg/dev-libs/libuv-1.40.0/IUSE
- var/db/pkg/dev-libs/libuv-1.40.0/IUSE_EFFECTIVE
- var/db/pkg/dev-libs/libuv-1.40.0/KEYWORDS
- var/db/pkg/dev-libs/libuv-1.40.0/LDFLAGS
- var/db/pkg/dev-libs/libuv-1.40.0/LICENSE
- var/db/pkg/dev-libs/libuv-1.40.0/NEEDED
- var/db/pkg/dev-libs/libuv-1.40.0/NEEDED.ELF.2
- var/db/pkg/dev-libs/libuv-1.40.0/PF
- var/db/pkg/dev-libs/libuv-1.40.0/PROVIDES
- var/db/pkg/dev-libs/libuv-1.40.0/REQUIRES
- var/db/pkg/dev-libs/libuv-1.40.0/RESTRICT
- var/db/pkg/dev-libs/libuv-1.40.0/SIZE
- var/db/pkg/dev-libs/libuv-1.40.0/SLOT
- var/db/pkg/dev-libs/libuv-1.40.0/USE
- var/db/pkg/dev-libs/libuv-1.40.0/environment.bz2
- var/db/pkg/dev-libs/libuv-1.40.0/libuv-1.40.0.ebuild
- var/db/pkg/dev-libs/libuv-1.40.0/repository
package_cacheimage: ""
runtime:
  name: libuv
  version: 1.40.0+2
  category: dev-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Cross-platform asychronous I/O
  uri:
  - https://github.com/libuv/libuv
  license: BSD BSD-2 ISC MIT
  labels:
    BDEPEND: '>=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
      ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4'
    DEPEND: sys-devel/libtool virtual/pkgconfig[-mgorny(-)]
    IUSE: static-libs abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64
      abi_mips_o32 abi_s390_32 abi_s390_64
    emerge.packages: dev-libs/libuv
    kit: dev-kit
    original.package.name: dev-libs/libuv
    original.package.slot: "0"
    original.package.version: 1.40.0
